### Function

# Panel Workbench find_from_widget

since: 1.4

#### Declaration [src]

    PanelWorkbench*
    panel_workbench_find_from_widget (
      GtkWidget* widget
    )

#### Description [src]

Finds the workbench that contains `widget`.

Available since: 1.4

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget`.

  The data is owned by the caller of the function.

#### Return value

Type: `PanelWorkbench`

A `PanelWorkbench` or `NULL`.

The data is owned by the called function.
The return value can be `NULL`.